<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld" 
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GFX003"
	title	= "対訳"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<!-- 変更はここから -->

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command = "{@command}" />

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="NEW" dbid="{@DBID}" debug="{@debug}" maxRowCount="0">
	select A.SYSTEM_ID, COALESCE(B.LANG,'**') as LANG_YAKU
			, A.CLM as ID,A.LNAME as GENBUN,B.LNAME as YAKU, '1' as KBYAKU
	from GEA08 A left outer join GEA08 B
			on  A.SYSTEM_ID = B.SYSTEM_ID
			and A.CLM       = B.CLM
			and A.KBSAKU    = B.KBSAKU
			and A.UNIQ     != B.UNIQ
			and A.LNAME    != B.LNAME
			and B.FGJ       = '1'
			and B.LANG     != 'ja'
	where A.SYSTEM_ID = '{@SYSTEM_ID}'
			and A.LNAME     is not null
			and length( A.LNAME ) != lengthb(A.LNAME )
			and A.LANG      = 'ja'
			and A.FGJ       = '1'
			and A.KBLBL     &lt;= '9'			<!-- GF の タグリブは省く -->
	union
	select A.SYSTEM_ID,COALESCE(B.LANG,'**') as LANG_YAKU
			,A.CLM as ID,A.SNAME as GENBUN,B.SNAME as YAKU, '2' as KBYAKU
	from GEA08 A left outer join GEA08 B
			on  A.SYSTEM_ID = B.SYSTEM_ID
			and A.CLM       = B.CLM
			and A.KBSAKU    = B.KBSAKU
			and A.UNIQ     != B.UNIQ
			and A.SNAME    != B.SNAME
			and B.FGJ       = '1'
			and B.LANG     != 'ja'
	where A.SYSTEM_ID = '{@SYSTEM_ID}'
			and A.SNAME     is not null
			and length( A.SNAME ) != lengthb(A.SNAME )
			and A.LANG      = 'ja'
			and A.FGJ       = '1'
			and A.KBLBL     &lt;= '9'			<!-- GF の タグリブは省く -->
	union
	select A.SYSTEM_ID,COALESCE(B.LANG,'**') as LANG_YAKU
			,A.CLM as ID,A.DESCRIPTION as GENBUN,B.DESCRIPTION as YAKU, '3' as KBYAKU
	from GEA08 A left outer join GEA08 B
			on  A.SYSTEM_ID = B.SYSTEM_ID
			and A.CLM       = B.CLM
			and A.KBSAKU    = B.KBSAKU
			and A.UNIQ     != B.UNIQ
			and A.DESCRIPTION != B.DESCRIPTION
			and B.FGJ       = '1'
			and B.LANG     != 'ja'
	where A.SYSTEM_ID = '{@SYSTEM_ID}'
			and A.DESCRIPTION     is not null
			and length( A.DESCRIPTION ) != lengthb(A.DESCRIPTION )
			and A.FGJ       = '1'
			and A.LANG      = 'ja'
			and A.KBLBL     &lt;= '9'			<!-- GF の タグリブは省く -->
	minus
	select SYSTEM_ID,LANG_YAKU,ID,GENBUN,YAKU,KBYAKU
	from GF28
	where FGJ = '1'
</og:query>

<og:entry command="MODIFY" useConsistency="false" selectedAll="true" >
	<og:columnSet command="MODIFY" columnId="LANG_YAKU" action="NULLSET" value="**" />
</og:entry>

<form onSubmit="return oneClick();" method="POST" action="forward.jsp" target="RESULT">
	<!-- 登録、取消、リセットボタンを作成します。 -->
	<og:writeCheck>
		<og:submit  value="entry"   lbl="INSERT" accesskey="M" />
		<og:submit  value="reset"   lbl="RESET"  accesskey="R" />
		<og:input type="reset"  name="command"  lbl="MSG0011"  td="false" />
	</og:writeCheck>

	<!-- DB検索結果を表示させます。 -->
	<og:view
		viewFormType = "HTMLTable"
		command 	 = "{@command}"
		checked      = "{@checked}"
		startNo      = "{@startNo}" 
		pageSize     = "{@pageSize}"
	/>

	<og:hidden name="sqlType" value="INSERT" />
</form>

<!-- ここまで。 -->
	<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
